Bug 152318 - gdk-pixbuf BMP double free DoS
gdk-pixbuf BMP double free DoS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-28 10:17 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.14-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 06:24:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-28 10:17:00 EST
+++ This bug was initially created as a clone of Bug #152317 +++

A BMP image with no palette can cause a double free condition in the gtk2's
gdk-pixbuf BMP processing code.

For more information see:
http://bugzilla.gnome.org/show_bug.cgi?id=171707
Comment 1 Josh Bressers 2005-03-28 10:18:09 EST
This issue also affects FC2
Comment 2 Matthias Clasen 2005-03-28 10:36:23 EST
I have built gtk2-2.4.14-2.fc2 and gtk2-2.4.14-3.fc3 with the fix.
Comment 3 Walter Justen 2005-08-19 06:24:43 EDT
update package was published

Note You need to log in before you can comment on or make changes to this bug.